uuid: 7344c989-ad30-42eb-9a0f-0ae3dc56db4d
langcode: en
status: true
dependencies: {  }
id: gronze_node_notes_fields
class: null
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - node
  - gronze
  - notes
  - level3
migration_group: gronze_node_fields
label: 'Notes nodes fields migration from Gronze D7'
source:
  high_water_property:
    name: vid
    alias: 'n'
  plugin: d7_node_gronze
  node_type: notes
process:
  changed: changed
  nid:
    plugin: migration_lookup
    migration: gronze_node_notes
    source: nid
    no_stub: true
  body/value: body/0/value
  body/summary: body/0/summary
  body/format:
    plugin: text_format_map
    source: body/0/format
  field_para_note:
    plugin: sub_process
    source: field_para_notes
    process:
      target_id:
        -
          plugin: migration_lookup
          migration:
            - gronze_pg_simple_text
            - gronze_pg_text_small_image
            - gronze_pg_image_full_width
            - gronze_pg_text_links
            - gronze_pg_media_full_width
            - gronze_pg_section_text
            - gronze_pg_list_content_titles
            - gronze_pg_note_simple
            - gronze_pg_pack_node_list
            - gronze_pg_pack_taxonomy_list
            - gronze_pg_related_content
            - gronze_pg_related_terms
            - gronze_pg_note_location
            - gronze_pg_etapa_alternative
            - gronze_pg_etapa_location
            - gronze_pg_etapa_map
            - gronze_pg_etapa_note
            - gronze_pg_etapa_stretch
          source: value
          no_stub: true
        -
          plugin: extract
          index:
            - 0
      target_revision_id:
        -
          plugin: migration_lookup
          migration:
            - gronze_pg_simple_text
            - gronze_pg_text_small_image
            - gronze_pg_image_full_width
            - gronze_pg_text_links
            - gronze_pg_media_full_width
            - gronze_pg_section_text
            - gronze_pg_list_content_titles
            - gronze_pg_note_simple
            - gronze_pg_pack_node_list
            - gronze_pg_pack_taxonomy_list
            - gronze_pg_related_content
            - gronze_pg_related_terms
            - gronze_pg_note_location
            - gronze_pg_etapa_alternative
            - gronze_pg_etapa_location
            - gronze_pg_etapa_map
            - gronze_pg_etapa_note
            - gronze_pg_etapa_stretch
          source: value
          no_stub: true
        -
          plugin: extract
          index:
            - 1
destination:
  plugin: 'entity:node'
  default_bundle: note
migration_dependencies:
  required:
    - gronze_node_notes
    - gronze_pg_simple_text
    - gronze_pg_text_small_image
    - gronze_pg_image_full_width
    - gronze_pg_text_links
    - gronze_pg_media_full_width
    - gronze_pg_section_text
    - gronze_pg_list_content_titles
    - gronze_pg_note_simple
    - gronze_pg_pack_node_list
    - gronze_pg_pack_taxonomy_list
    - gronze_pg_related_content
    - gronze_pg_related_terms
    - gronze_pg_note_location
    - gronze_pg_etapa_alternative
    - gronze_pg_etapa_location
    - gronze_pg_etapa_map
    - gronze_pg_etapa_note
    - gronze_pg_etapa_stretch
